# Member

`GET /workspaces/:workspace/projects/:project_name/members/:member_id`

Get a specific project member by ID

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The human-readable ID of the project */
  project_name: string; // Example: "my-project"
  /** The ID of the member */
  member_id: number; // Example: 216
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the user */
  id?: number;
  /** The name of the user */
  name?: string;
  /** The avatar URL of the user */
  avatar_url?: string;
  /** The email address of the user */
  email?: string;
  /** Whether the user has admin privileges */
  admin?: boolean;
  /** Whether the user is workspace owner */
  workspace_owner?: boolean;
  /** User permission set configuration */
  permission_set?: PermissionSetView;
}
```

## Type Definitions

```typescript
interface PermissionSetView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The name of the permission set */
  name: string;
  /** The description of the permission set */
  description?: string;
  /** The repository access level */
  repository_access_level: "DENIED" | "READ_ONLY" | "READ_WRITE" | "MANAGE";
  /** The pipeline access level */
  pipeline_access_level: "DENIED" | "READ_ONLY" | "RUN_ONLY" | "READ_WRITE";
  /** The sandbox access level */
  sandbox_access_level: "DENIED" | "READ_ONLY" | "RUN_ONLY" | "READ_WRITE";
  /** The project team access level */
  project_team_access_level: "READ_ONLY" | "MANAGE";
  /** The environment access level */
  environment_access_level: "DENIED" | "MANAGE" | "USE_ONLY";
  /** The package access level */
  package_access_level: "DENIED" | "READ_ONLY" | "READ_WRITE" | "MANAGE";
  /** The routing access level */
  routing_access_level: "DENIED" | "READ_ONLY" | "MANAGE";
  /** The target access level */
  target_access_level: "DENIED" | "READ_ONLY" | "USE_ONLY" | "MANAGE";
  /** The ID of the permission set */
  id: number;
  /** The type of the permission set */
  type?: "DEVELOPER" | "READ_ONLY" | "CUSTOM" | "PROJECT_MANAGER";
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company/projects/my-project/members/216",
  "html_url": "https://app.buddy.works/my-company/-/profile/216",
  "id": 216,
  "name": "Leon",
  "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/0216e0eaead35ceec361a9eb6fc165ab/w/32/32/AVATAR.png",
  "email": "leon@example.com",
  "admin": false,
  "workspace_owner": false,
  "permission_set": {
    "url": "https://api.buddy.works/workspaces/toprus/permissions/1",
    "html_url": "https://app.buddy.works/my-company/-/permissions/edit/1",
    "name": "Developer",
    "repository_access_level": "READ_WRITE",
    "pipeline_access_level": "READ_WRITE",
    "sandbox_access_level": "READ_WRITE",
    "project_team_access_level": "READ_ONLY",
    "environment_access_level": "MANAGE",
    "package_access_level": "MANAGE",
    "id": 1,
    "type": "DEVELOPER"
  }
}
```

---
Original source: https://buddy.works/docs/api/platform/projects/get/member